summaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2011-10-03 23:31:54 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2011-10-03 23:31:54 +0200
commitcd51e774fd5524964caef987de1ea995e9b74a17 (patch)
treefa1432ab9393e48f211ad07629f5c56de50a8e82 /config
parent80d9dc4c4822ed186c2a46e3410536635f38abfe (diff)
downloadkanotix-cd51e774fd5524964caef987de1ea995e9b74a17.zip
kanotix-cd51e774fd5524964caef987de1ea995e9b74a17.tar.gz
added libgl-bpo-ia32-hook
Diffstat (limited to 'config')
-rwxr-xr-xconfig/chroot_local-hooks/fix-libgl-bpo-ia32.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/fix-libgl-bpo-ia32.sh b/config/chroot_local-hooks/fix-libgl-bpo-ia32.sh
new file mode 100755
index 0000000..3272895
--- /dev/null
+++ b/config/chroot_local-hooks/fix-libgl-bpo-ia32.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+[ $(id -u) != 0 ] && exit
+dpkg -l libgl1-mesa-glx|grep -q bpo || exit 0
+if [ -f /usr/lib32/libGL.so.1.2 ]; then
+ TMP=$(mktemp -d /tmp/libgl.XXXXXX)
+ DEB=$(wget -qO- http://packages.debian.org/squeeze-backports/i386/libgl1-mesa-glx/download|awk -F\" '/ftp.de/&&/pool/{print $2}')
+ wget -NP $TMP $DEB
+ dpkg-deb -x $TMP/${DEB##*/} $TMP
+ mv -v $TMP/usr/lib/libGL.so.1.2 /usr/lib32
+ rm -rf $TMP
+else
+ exit 0
+fi